Package org.eclipse.m2m.atl.emftvm

## Interface Module

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `NamedElement`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `ModuleImpl`

    public interface Module
    extends NamedElement

A representation of the model object 'Module'.

See Also:
  `EmftvmPackage.getModule()`

### Method Summary

All Methods Instance Methods Abstract Methods
`org.eclipse.emf.common.util.EList<Module>` `getEImports()` Returns the value of the 'EImports' reference list.
`org.eclipse.emf.common.util.EList<Feature>` `getFeatures()` Returns the value of the 'Features' containment reference list.
`org.eclipse.emf.common.util.EList<java.lang.String>` `getImports()` Returns the value of the 'Imports' attribute list.
`org.eclipse.emf.common.util.EList<ModelDeclaration>` `getInoutModels()` Returns the value of the 'Inout Models' containment reference list.
`org.eclipse.emf.common.util.EList<ModelDeclaration>` `getInputModels()` Returns the value of the 'Input Models' containment reference list.
`org.eclipse.emf.common.util.EList<ModelDeclaration>` `getOutputModels()` Returns the value of the 'Output Models' containment reference list.
`org.eclipse.emf.common.util.EList<Rule>` `getRules()` Returns the value of the 'Rules' containment reference list.
`java.lang.String` `getSourceName()` Returns the value of the 'Source Name' attribute.
`void` `setSourceName​(java.lang.String value)` Sets the value of the '`Source Name`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.m2m.atl.emftvm.NamedElement

`getName, setName`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Method Detail

#### getSourceName

    java.lang.String getSourceName()

Returns the value of the 'Source Name' attribute.

If the meaning of the 'Source Name' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Source Name' attribute.
See Also:
  `setSourceName(String)`, `EmftvmPackage.getModule_SourceName()`

#### setSourceName

    void setSourceName​(java.lang.String value)

Sets the value of the '`Source Name`' attribute.

Parameters:
  `value` - the new value of the 'Source Name' attribute.
See Also:
  `getSourceName()`

#### getFeatures

    org.eclipse.emf.common.util.EList<Feature> getFeatures()

Returns the value of the 'Features' containment reference list. The list contents are of type `Feature`. It is bidirectional and its opposite is '`Module`'.

If the meaning of the 'Features' containment reference list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Features' containment reference list.
See Also:
  `EmftvmPackage.getModule_Features()`, `Feature.getModule()`

#### getRules

    org.eclipse.emf.common.util.EList<Rule> getRules()

Returns the value of the 'Rules' containment reference list. The list contents are of type `Rule`. It is bidirectional and its opposite is '`Module`'.

If the meaning of the 'Rules' containment reference list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Rules' containment reference list.
See Also:
  `EmftvmPackage.getModule_Rules()`, `Rule.getModule()`

#### getEImports

    org.eclipse.emf.common.util.EList<Module> getEImports()

Returns the value of the 'EImports' reference list. The list contents are of type `Module`.

If the meaning of the 'EImports' reference list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'EImports' reference list.
See Also:
  `EmftvmPackage.getModule_EImports()`

#### getImports

    org.eclipse.emf.common.util.EList<java.lang.String> getImports()

Returns the value of the 'Imports' attribute list. The list contents are of type `String`.

If the meaning of the 'Imports' attribute list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Imports' attribute list.
See Also:
  `EmftvmPackage.getModule_Imports()`

#### getInputModels

    org.eclipse.emf.common.util.EList<ModelDeclaration> getInputModels()

Returns the value of the 'Input Models' containment reference list. The list contents are of type `ModelDeclaration`. It is bidirectional and its opposite is '`Input Model For`'.

If the meaning of the 'Input Models' reference list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Input Models' containment reference list.
See Also:
  `EmftvmPackage.getModule_InputModels()`, `ModelDeclaration.getInputModelFor()`

#### getInoutModels

    org.eclipse.emf.common.util.EList<ModelDeclaration> getInoutModels()

Returns the value of the 'Inout Models' containment reference list. The list contents are of type `ModelDeclaration`. It is bidirectional and its opposite is '`Inout Model For`'.

If the meaning of the 'Inout Models' reference list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Inout Models' containment reference list.
See Also:
  `EmftvmPackage.getModule_InoutModels()`, `ModelDeclaration.getInoutModelFor()`

#### getOutputModels

    org.eclipse.emf.common.util.EList<ModelDeclaration> getOutputModels()

Returns the value of the 'Output Models' containment reference list. The list contents are of type `ModelDeclaration`. It is bidirectional and its opposite is '`Output Model For`'.

If the meaning of the 'Output Models' reference list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Output Models' containment reference list.
See Also:
  `EmftvmPackage.getModule_OutputModels()`, `ModelDeclaration.getOutputModelFor()`